Author tim.peters
Recipients ncoghlan, tim.peters
Date 2013-11-24.02:27:41
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1385260061.26.0.546173376788.issue19744@psf.upfronthosting.co.za>
In-reply-to
Content
FYI, here's the new output:

[1/1] test_venv
test test_venv failed -- Traceback (most recent call last):
  File "C:\Code\Python\lib\test\test_venv.py", line 289, in test_with_pip
    self.run_with_capture(venv.create, self.env_dir, with_pip=True)
subprocess.CalledProcessError: Command '['C:\\Users\\Tim\\AppData\\Local\\Temp\\tmptw2_vda6\\Scripts\\python_d
.exe', '-Im', 'ensurepip', '--upgrade', '--default-pip']' returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Code\Python\lib\test\test_venv.py", line 295, in test_with_pip
    self.fail(msg)
AssertionError: Command '['C:\\Users\\Tim\\AppData\\Local\\Temp\\tmptw2_vda6\\Scripts\\python_d.exe', '-Im', 'ensurepip', '--upgrade', '--default-pip']' returned non-zero exit status 1

**Subprocess Output**
Traceback (most recent call last):
  File "C:\Code\Python\lib\runpy.py", line 160, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "C:\Code\Python\lib\runpy.py", line 73, in _run_code
    exec(code, run_globals)
  File "C:\Code\Python\lib\ensurepip\__main__.py", line 66, in <module>
    main()
  File "C:\Code\Python\lib\ensurepip\__main__.py", line 61, in main
    default_pip=args.default_pip,
  File "C:\Code\Python\lib\ensurepip\__init__.py", line 92, in bootstrap
    _run_pip(args + [p[0] for p in _PROJECTS], additional_paths)
  File "C:\Code\Python\lib\ensurepip\__init__.py", line 28, in _run_pip
    import pip
  File "C:\Users\Tim\AppData\Local\Temp\tmpdkfwi7it\pip-1.5.rc1-py2.py3-none-any.whl\pip\__init__.py", line 10
, in <module>
  File "C:\Users\Tim\AppData\Local\Temp\tmpdkfwi7it\pip-1.5.rc1-py2.py3-none-any.whl\pip\util.py", line 17, in
 <module>
  File "C:\Users\Tim\AppData\Local\Temp\tmpdkfwi7it\pip-1.5.rc1-py2.py3-none-any.whl\pip\_vendor\distlib\version.py", line 14, in <module>
  File "C:\Users\Tim\AppData\Local\Temp\tmpdkfwi7it\pip-1.5.rc1-py2.py3-none-any.whl\pip\_vendor\distlib\compat.py", line 66, in <module>
ImportError: cannot import name 'HTTPSHandler'


1 test failed:
    test_venv
History
Date User Action Args
2013-11-24 02:27:41tim.peterssetrecipients: + tim.peters, ncoghlan
2013-11-24 02:27:41tim.peterssetmessageid: <1385260061.26.0.546173376788.issue19744@psf.upfronthosting.co.za>
2013-11-24 02:27:41tim.peterslinkissue19744 messages
2013-11-24 02:27:41tim.peterscreate